#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>

int main(void) {
	DDRB = _BV(DDB0);
	PORTB = _BV(PB2);
	GICR = _BV(INT2);
	sei();
	set_sleep_mode(SLEEP_MODE_PWR_DOWN);
	sleep_enable();
	while (1) {
		sleep_cpu();
	}
}

ISR(INT2_vect) {
	PORTB ^= _BV(PB0);
}